Archived Version: v2026.02

You are viewing an archived reference version.

Get Event

Retrieve a specific event by its ID.

Last updated: January 1, 1980

GET
/api/v1/events/{event_id}

Description

API to retrieve a specific event by its ID. Refer to the Event Object for more details.

Authentication

Access Token is required via Bearer token authentication. Refer to the Authentication section for more details.

Path Parameters

event_id
Required
string
Unique identifier of the event

Response

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
{
  "id": "string",
  "label": {
    "id": "string",
    "name": {
      "ko": "string",
      "en": "string"
    }
  },
  "confidence": 0,
  "mic": {
    "id": "string",
    "name": "string",
    "location": {
      "latitude": -33.75,
      "longitude": 151.25
    }
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

Request Examples

Run In Postman
1
2
3
4
5
6
7
8
const response = await fetch('http://{{EDGE_IP}}:8100/api/v1/events/sample_event_123', {
  method: 'GET',
  headers: {
    "Authorization": "Bearer YOUR_ACCESS_TOKEN"
  }
});

const data = await response.json();